Page MenuHomePhabricator

Amazon errors showing up as [Object object]
Closed, ResolvedPublic2 Estimated Story Points

Description

We're not properly serializing errors when we set the API response, so they are totally unhelpful.

Event Timeline

Ejegg created this task.Dec 21 2017, 4:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 21 2017, 4:45 PM
Ejegg added a comment.Dec 21 2017, 4:46 PM

FR-tech: to reproduce this error locally, try uncommenting the 'seller authorization note' on line 318 of the amazon adapter.

Change 399659 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Properly serialize Amazon error messages

https://gerrit.wikimedia.org/r/399659

Ejegg claimed this task.Dec 22 2017, 5:26 PM
Ejegg triaged this task as High priority.
Ejegg set the point value for this task to 2.
Ejegg moved this task from Triage to Completed in Q2 2017-18 on the Fundraising-Backlog board.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Winter Wanderland board.

Change 399659 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Properly serialize Amazon error messages

https://gerrit.wikimedia.org/r/399659

Ejegg closed this task as Resolved.Jan 16 2018, 9:16 PM